Bug 86919 - Writer loses focus when toggling between full screen mode
Summary: Writer loses focus when toggling between full screen mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2014-12-02 01:42 UTC by Geoff
Modified: 2017-09-13 16:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geoff 2014-12-02 01:42:10 UTC
To reproduce:

  - Open a document.

  - Hit Ctrl+Shift+J to toggle fullscreen mode.

  - Repeat once or twice to toggle back and forth.

  - Writer will lose focus after two or three Ctrl+Shift+J presses.

(If you have other documents open in the background, they'll get toggled to full screen!)
Comment 1 Buovjaga 2015-03-06 11:49:18 UTC
After a couple of switchings in 4.4.1, the window disappeared and only the "Full screen" button was visible. Yet, another Ctrl+Shift+J brought it back.

With 3.5.0 and 4.2.0, the terminal window used to launch them might sometimes be overlaid on top, but focus was not lost.

Let's request a bibisect.

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 2 Matthew Francis 2015-03-18 06:02:02 UTC
Couldn't reproduce on Ubuntu 14.04 / lxde. Maybe window manager or timing dependent?
Comment 3 Geoff 2015-03-20 18:40:20 UTC
(In reply to Matthew Francis from comment #2)
> Couldn't reproduce on Ubuntu 14.04 / lxde. Maybe window manager or timing
> dependent?

Interesting! This happens on my 32-bit machine but not my 64-bit machine. Both are running Ubuntu 14.04.1 LTS

I don't think it's a timing issue because even counting 3 seconds between switches causes the problem.
Comment 4 Buovjaga 2015-05-18 10:50:14 UTC
*** Bug 91282 has been marked as a duplicate of this bug. ***
Comment 5 Michael 2015-05-25 12:00:31 UTC
I can reproduce this in Fedora 21 x64 + KDE

Pressing Ctrl+Shift+J multiple times soon yields the focus to a different window  (which starts reacting to the C+S+J)

I had to skip a couple at the end of the bibisect because of this message for 4.0.1.1 and 4.0.1.2:

$ ./opt/program/soffice --writer
no suitable windowing system found, exiting.

$ git bisect log
# bad: [60af19e4996c07eaa9d1f7e1e908cfe211df368b] libreoffice-4.4.2.2
# good: [12aa7e702b7d1f1a9de579e5293779dc84ef42e7] libreoffice-4.0.0.1
git bisect start 'libreoffice-4.4.2.2' 'libreoffice-4.0.0.1'
# bad: [36353d91e5d3100adeabf0bed4f69dd3777c5172] libreoffice-4.2.1.1
git bisect bad 36353d91e5d3100adeabf0bed4f69dd3777c5172
# bad: [c441489752b02cd15272928d95aeec76583d2ca7] libreoffice-4.1.0.4
git bisect bad c441489752b02cd15272928d95aeec76583d2ca7
# bad: [3f66624caf35f7f60577c4e0b2aaabeb01cc7fb4] libreoffice-4.0.4.1
git bisect bad 3f66624caf35f7f60577c4e0b2aaabeb01cc7fb4
# bad: [164bf9eaf4beede6b49596ce5830c7fd0827a613] libreoffice-4.0.2.1
git bisect bad 164bf9eaf4beede6b49596ce5830c7fd0827a613
# good: [0ba977b7cb4d79c2452c40d20b59daae51d91f82] libreoffice-4.0.0.3
git bisect good 0ba977b7cb4d79c2452c40d20b59daae51d91f82
# skip: [79d7963fbd1c79f3db20d072aa15e34e42caa875] libreoffice-4.0.1.2
git bisect skip 79d7963fbd1c79f3db20d072aa15e34e42caa875
# skip: [525c5fcffd736713ab88900699bd96c3b8c724a1] libreoffice-4.0.1.1
git bisect skip 525c5fcffd736713ab88900699bd96c3b8c724a1
# only skipped commits left to test
# possible first bad commit: [164bf9eaf4beede6b49596ce5830c7fd0827a613] libreoffice-4.0.2.1
# possible first bad commit: [79d7963fbd1c79f3db20d072aa15e34e42caa875] libreoffice-4.0.1.2
# possible first bad commit: [525c5fcffd736713ab88900699bd96c3b8c724a1] libreoffice-4.0.1.1
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:10:54 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:50:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103